Skip to main content
GET
https://aigenstudio.app/api/v1
/
product-photo-jobs
/
{jobId}
Get Product Photo job status
curl --request GET \
  --url https://aigenstudio.app/api/v1/product-photo-jobs/{jobId} \
  --header 'Authorization: Bearer <token>'
{
  "job": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "total_items": 2,
    "credits_reserved": 1,
    "sandbox": true,
    "completed_items": 1,
    "failed_items": 1,
    "credits_used": 1,
    "items": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "external_id": "<string>",
        "credits_reserved": 1,
        "credits_used": 1,
        "result_url": "<string>",
        "thumbnail_url": "<string>",
        "error_code": "<string>",
        "error_message": "<string>"
      }
    ]
  },
  "request_id": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Request-Id
string

Optional client correlation id. AI Gen Studio also returns request_id.

Maximum string length: 160

Path Parameters

jobId
string<uuid>
required

Response

Product Photo job status returned.

job
object
required
request_id
string
required